Open CASCADE Technology: PBRep_CurveOnClosedSurface Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
PBRep_CurveOnClosedSurface Class Reference

`#include <PBRep_CurveOnClosedSurface.hxx>`

Inheritance diagram for PBRep_CurveOnClosedSurface:
[legend]

## Public Member Functions
| PBRep_CurveOnClosedSurface (const Handle< PGeom2d_Curve > &PC1, const Handle< PGeom2d_Curve > &PC2, const Standard_Real CF, const Standard_Real CL, const Handle< PGeom_Surface > &S, const PTopLoc_Location &L, const GeomAbs_Shape C)
| CF is curve first parameter CL is curve last parameter The two curves are SameParameter. As far as they can't be computed from a Persistent Curve they are given in the CurveOnClosedSurface constructor. More...
Handle< PGeom2d_Curve > | PCurve2 () const
GeomAbs_Shape | Continuity () const
virtual Standard_Boolean | IsCurveOnClosedSurface () const
| Returns True. More...
virtual Standard_Boolean | IsRegularity () const
| Returns True. More...
void | SetUVPoints2 (const gp_Pnt2d &Pnt1, const gp_Pnt2d &Pnt2)
gp_Pnt2d | FirstUV2 () const
gp_Pnt2d | LastUV2 () const
| PBRep_CurveOnClosedSurface ()
| PBRep_CurveOnClosedSurface (const Storage_stCONSTclCOM &a)
Handle< PGeom2d_Curve > | _CSFDB_GetPBRep_CurveOnClosedSurfacemyPCurve2 () const
void | _CSFDB_SetPBRep_CurveOnClosedSurfacemyPCurve2 (const Handle< PGeom2d_Curve > &p)
GeomAbs_Shape | _CSFDB_GetPBRep_CurveOnClosedSurfacemyContinuity () const
void | _CSFDB_SetPBRep_CurveOnClosedSurfacemyContinuity (const GeomAbs_Shape p)
const gp_Pnt2d & | _CSFDB_GetPBRep_CurveOnClosedSurfacemyUV21 () const
const gp_Pnt2d & | _CSFDB_GetPBRep_CurveOnClosedSurfacemyUV22 () const
Public Member Functions inherited from PBRep_CurveOnSurface
| PBRep_CurveOnSurface (const Handle< PGeom2d_Curve > &PC, const Standard_Real CF, const Standard_Real CL, const Handle< PGeom_Surface > &S, const PTopLoc_Location &L)
| CF is curve first parameter CL is curve last parameter As far as they can't be computed from a Persistent Curve they are given in the CurveOnSurface constructor. More...
Handle< PGeom_Surface > | Surface () const
Handle< PGeom2d_Curve > | PCurve () const
virtual Standard_Boolean | IsCurveOnSurface () const
| Returns True. More...
void | SetUVPoints (const gp_Pnt2d &Pnt1, const gp_Pnt2d &Pnt2)
gp_Pnt2d | FirstUV () const
gp_Pnt2d | LastUV () const
| PBRep_CurveOnSurface ()
| PBRep_CurveOnSurface (const Storage_stCONSTclCOM &a)
Handle< PGeom2d_Curve > | _CSFDB_GetPBRep_CurveOnSurfacemyPCurve () const
void | _CSFDB_SetPBRep_CurveOnSurfacemyPCurve (const Handle< PGeom2d_Curve > &p)
Handle< PGeom_Surface > | _CSFDB_GetPBRep_CurveOnSurfacemySurface () const
void | _CSFDB_SetPBRep_CurveOnSurfacemySurface (const Handle< PGeom_Surface > &p)
const gp_Pnt2d & | _CSFDB_GetPBRep_CurveOnSurfacemyUV1 () const
const gp_Pnt2d & | _CSFDB_GetPBRep_CurveOnSurfacemyUV2 () const
Public Member Functions inherited from PBRep_GCurve
Standard_Real | First () const
Standard_Real | Last () const
void | First (const Standard_Real F)
void | Last (const Standard_Real L)
virtual Standard_Boolean | IsGCurve () const
| returns TRUE More...
| PBRep_GCurve ()
| PBRep_GCurve (const Storage_stCONSTclCOM &a)
Standard_Real | _CSFDB_GetPBRep_GCurvemyFirst () const
void | _CSFDB_SetPBRep_GCurvemyFirst (const Standard_Real p)
Standard_Real | _CSFDB_GetPBRep_GCurvemyLast () const
void | _CSFDB_SetPBRep_GCurvemyLast (const Standard_Real p)
Public Member Functions inherited from PBRep_CurveRepresentation
PTopLoc_Location | Location () const
Handle< PBRep_CurveRepresentation > | Next () const
void | Next (const Handle< PBRep_CurveRepresentation > &N)
virtual Standard_Boolean | IsCurve3D () const
| A 3D curve representation. More...
virtual Standard_Boolean | IsPolygon3D () const
virtual Standard_Boolean | IsPolygonOnTriangulation () const
virtual Standard_Boolean | IsPolygonOnClosedTriangulation () const
virtual Standard_Boolean | IsPolygonOnSurface () const
virtual Standard_Boolean | IsPolygonOnClosedSurface () const
| PBRep_CurveRepresentation ()
| PBRep_CurveRepresentation (const Storage_stCONSTclCOM &a)
const PTopLoc_Location & | _CSFDB_GetPBRep_CurveRepresentationmyLocation () const
Handle< PBRep_CurveRepresentation > | _CSFDB_GetPBRep_CurveRepresentationmyNext () const
void | _CSFDB_SetPBRep_CurveRepresentationmyNext (const Handle< PBRep_CurveRepresentation > &p)
Public Member Functions inherited from Standard_Persistent
virtual Handle_Standard_Persistent | This () const
virtual void | Delete () const
virtual | ~Standard_Persistent ()
Standard_Persistent & | operator= (const Standard_Persistent &)
| Standard_Persistent ()
| Standard_Persistent (const Standard_Persistent &)
| Standard_Persistent (const Storage_stCONSTclCOM &)
virtual const Handle_Standard_Type & | DynamicType () const
Standard_Boolean | IsKind (const Handle_Standard_Type &) const
Standard_Boolean | IsInstance (const Handle_Standard_Type &) const
virtual Handle_Standard_Persistent | This () const
virtual void | Delete () const
virtual | ~Standard_Persistent ()
Standard_Persistent & | operator= (const Standard_Persistent &)
| Standard_Persistent ()
| Standard_Persistent (const Standard_Persistent &)
| Standard_Persistent (const Storage_stCONSTclCOM &)
virtual const Handle_Standard_Type & | DynamicType () const
Standard_Boolean | IsKind (const Handle_Standard_Type &) const
Standard_Boolean | IsInstance (const Handle_Standard_Type &) const

## Additional Inherited Members
Protected Member Functions inherited from PBRep_GCurve
| PBRep_GCurve (const PTopLoc_Location &L, const Standard_Real First, const Standard_Real Last)
Protected Member Functions inherited from PBRep_CurveRepresentation
| PBRep_CurveRepresentation (const PTopLoc_Location &L)

## Constructor & Destructor Documentation

PBRep_CurveOnClosedSurface::PBRep_CurveOnClosedSurface | ( | const Handle< PGeom2d_Curve > & | PC1,
|  | const Handle< PGeom2d_Curve > & | PC2,
|  | const Standard_Real | CF,
|  | const Standard_Real | CL,
|  | const Handle< PGeom_Surface > & | S,
|  | const PTopLoc_Location & | L,
|  | const GeomAbs_Shape | C
| ) |  |

CF is curve first parameter CL is curve last parameter The two curves are SameParameter. As far as they can't be computed from a Persistent Curve they are given in the CurveOnClosedSurface constructor.

PBRep_CurveOnClosedSurface::PBRep_CurveOnClosedSurface | ( |  | ) |
| inline

PBRep_CurveOnClosedSurface::PBRep_CurveOnClosedSurface | ( | const Storage_stCONSTclCOM & | a | ) |
| inline

## Member Function Documentation

GeomAbs_Shape PBRep_CurveOnClosedSurface::_CSFDB_GetPBRep_CurveOnClosedSurfacemyContinuity | ( |  | ) | const
| inline

Handle< PGeom2d_Curve > PBRep_CurveOnClosedSurface::_CSFDB_GetPBRep_CurveOnClosedSurfacemyPCurve2 | ( |  | ) | const
| inline

const gp_Pnt2d& PBRep_CurveOnClosedSurface::_CSFDB_GetPBRep_CurveOnClosedSurfacemyUV21 | ( |  | ) | const
| inline

const gp_Pnt2d& PBRep_CurveOnClosedSurface::_CSFDB_GetPBRep_CurveOnClosedSurfacemyUV22 | ( |  | ) | const
| inline

void PBRep_CurveOnClosedSurface::_CSFDB_SetPBRep_CurveOnClosedSurfacemyContinuity | ( | const GeomAbs_Shape | p | ) |
| inline

void PBRep_CurveOnClosedSurface::_CSFDB_SetPBRep_CurveOnClosedSurfacemyPCurve2 | ( | const Handle< PGeom2d_Curve > & | p | ) |
| inline

GeomAbs_Shape PBRep_CurveOnClosedSurface::Continuity | ( |  | ) | const

gp_Pnt2d PBRep_CurveOnClosedSurface::FirstUV2 | ( |  | ) | const

virtual Standard_Boolean PBRep_CurveOnClosedSurface::IsCurveOnClosedSurface | ( |  | ) | const
| virtual

Returns True.

Reimplemented from PBRep_CurveRepresentation.

virtual Standard_Boolean PBRep_CurveOnClosedSurface::IsRegularity | ( |  | ) | const
| virtual

Returns True.

Reimplemented from PBRep_CurveRepresentation.

gp_Pnt2d PBRep_CurveOnClosedSurface::LastUV2 | ( |  | ) | const

Handle< PGeom2d_Curve > PBRep_CurveOnClosedSurface::PCurve2 | ( |  | ) | const

void PBRep_CurveOnClosedSurface::SetUVPoints2 | ( | const gp_Pnt2d & | Pnt1,
|  | const gp_Pnt2d & | Pnt2
| ) |  |

The documentation for this class was generated from the following file:

- PBRep_CurveOnClosedSurface.hxx